Bug 1410845 - Can't remove retirement date
Summary: Can't remove retirement date
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.7.1
Assignee: lgalis
QA Contact: Mike Shriver
URL:
Whiteboard: retirement
Depends On: 1384028
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-06 15:45 UTC by Satoe Imaishi
Modified: 2017-02-27 19:17 UTC (History)
6 users (show)

Fixed In Version: 5.7.1.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1384028
Environment:
Last Closed: 2017-02-27 19:17:24 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0320 0 normal SHIPPED_LIVE Moderate: CFME 5.7.1 bug fixes and enhancement update 2017-02-28 00:13:26 UTC

Comment 2 CFME Bot 2017-01-06 15:50:53 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/72cd298207f833936e8b659e5fc20cb149a62f6d

commit 72cd298207f833936e8b659e5fc20cb149a62f6d
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Thu Nov 10 15:22:30 2016 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Fri Jan 6 10:47:59 2017 -0500

    Merge pull request #12378 from lgalis/retirement_date_cannot_be_removed
    
    Allow the retirement date to be cleared
    (cherry picked from commit 17f1e92df3a99cb57a96ec6b226ff91286c96b31)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1410845

 app/assets/javascripts/directives/miq_calendar.js | 5 +++--
 spec/javascripts/directives/miq_calendar_spec.js  | 7 +++++++
 2 files changed, 10 insertions(+), 2 deletions(-)

Comment 3 Mike Shriver 2017-01-29 23:28:30 UTC
Tested and verified against CFME QE 5.7.1.0.20170124142149_8a5f4d5. There is a red X that appears, allowing the user to remove the selected date.  When this is clicked to clear the date form, the save button is enabled. After saving the retirement date is removed, and no longer displayed when the form is reloaded.

Comment 4 errata-xmlrpc 2017-02-27 19:17:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0320.html


Note You need to log in before you can comment on or make changes to this bug.